PersistenceManager (gCube Reporting Modeler 1.3.0-4.2.1-125719 API)
Date: 2017-02-10

org.gcube.application.reporting.persistence

## Class PersistenceManager

- java.lang.Object
- - org.gcube.application.reporting.persistence.PersistenceManager

-     public class PersistenceManager
      extends Object

  Author:
    massi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistenceManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.gcube.portlets.d4sreporting.common.shared.Model` | `readModel(String pathToModel)`
    `static boolean` | `writeModel(org.gcube.portlets.d4sreporting.common.shared.Model model)`
    `static boolean` | `writeModel(org.gcube.portlets.d4sreporting.common.shared.Model model, File modelInstanceFile)`
    `static void` | `zipDir(String zipFileName, String dir)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistenceManager

          public PersistenceManager()

  - ### Method Detail

    - #### writeModel

          public static boolean writeModel(org.gcube.portlets.d4sreporting.common.shared.Model model)

      Parameters:
        `model` - the model to persist on disk
      Returns:
        true if ok

    - #### writeModel

          public static boolean writeModel(org.gcube.portlets.d4sreporting.common.shared.Model model,
                                           File modelInstanceFile)

      Parameters:
        `model` - the model to persist on disk
        `file` - the file where you want the model to be persisted
      Returns:
        true if ok

    - #### readModel

          public static org.gcube.portlets.d4sreporting.common.shared.Model readModel(String pathToModel)

    - #### zipDir

          public static void zipDir(String zipFileName,
                                    String dir)
                             throws IOException

      Parameters:
        `zipFileName` - zipFileName
        `dir` - the dir to compress
      Throws:
        `IOException`

Copyright © 2017. All Rights Reserved.